Bug 239030 - fc7t4: dhcdbd failed to start or stop
Summary: fc7t4: dhcdbd failed to start or stop
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcdbd   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-04 15:02 UTC by Need Real Name
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 18:50:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
serial console boot / shutdown log (22.73 KB, text/plain)
2007-05-06 20:38 UTC, David Timms
no flags Details

Description Need Real Name 2007-05-04 15:02:21 UTC
The init script for dhcdbd fails to start or stop on a fresh install.

Will give details later.

Comment 1 Need Real Name 2007-05-05 10:01:32 UTC
Odd. It works now. Closing.

Comment 2 David Timms 2007-05-06 20:38:20 UTC
Created attachment 154231 [details]
serial console boot / shutdown log

{ignore the file name}
I am seeing almost the same minor issue.

During boot:
Starting background readahead (later, fast mode): [  OK  ]
Starting dhcdbd:[  OK  ]
Starting yum-updatesd: [  OK  ]

during shutdown:
poweredge login: INIT: INIT: Sending pShutting down smartd: [  OK  ]
Shutting down Avahi daemon: [  OK  ]
Stopping dhcdbd:[  OK  ]
Stopping HAL daemon: [	OK  ]
...
Setting chains to policy ACCEPT: filter [  OK  ]
Unloading iptables modules: [  OK  ]
Starting killall:  Stopping dhcdbd:[FAILED]
[  OK  ]
Sending all processes the TERM signal... 

It would seem that shutdown process is trying to stop dhcdbd twice.
First time succeeds.
Second time it's already gone.

HW: dell poweredge 1600sc, 3GB ram, scsi.
Fedora release 6.93 (Rawhide)
Kernel 2.6.21-1.3116.fc7 on an i686

Comment 3 Need Real Name 2007-05-06 22:11:17 UTC
My test, using the init script worked.
But when I shutdown, it does fail as you described. Reopening.

Comment 4 David Cantrell 2007-05-07 14:45:41 UTC
I'm not seeing this locally.  Do you have more than one symlink for dhcdbd in
the rc?.d directories?

find /etc/rc.d -name "K*dhcdbd"

Comment 5 Need Real Name 2007-05-07 16:56:10 UTC
$ find /etc/rc.d -name "K*dhcdbd"
/etc/rc.d/rc6.d/K02dhcdbd
/etc/rc.d/rc1.d/K02dhcdbd
/etc/rc.d/rc0.d/K02dhcdbd


Comment 6 David Cantrell 2007-09-21 18:50:41 UTC
dhcdbd has been obsoleted by NetworkManager 0.7.0.


Note You need to log in before you can comment on or make changes to this bug.